<bugID>597386<Summary>Submenus next to menu items are very confusing in the Firefox menu</Summary><Description>Steps to reproduce:
 1) Use Windows 7
 2) Get a Minefield build from around 2010-09-17
 3) Assuming the menu bar is visible, choose View: Toolbar: Menu bar to hide the menubar and to show the Firefox menu.
 4) Click the Firefox menu to open it.
 5) Click the label "Developer".
 6) Now click the label "Options..."

Actual results:
Clicking "Developer" opens a submenu. Clicking "Options..." opens the pref window even though there's a submenu indicator arrow next to the label. (If you pay attention while moving the mouse to click, the hover effect reveals that "Developer" and the other items that look like submenu labels are actually different kinds of items.)

Expected results:
Expected clicking a menu item whose label has an arrow next to it to open a submenu always.</Description></bugID>